Bug 917366 - create unowned directory by having a requires on p7zip-plugins
Summary: create unowned directory by having a requires on p7zip-plugins
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: p7zip
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-03 15:39 UTC by Michael S.
Modified: 2016-02-10 11:13 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-02-10 11:13:37 UTC


Attachments (Terms of Use)

Description Michael S. 2013-03-03 15:39:43 UTC
For some reason, ark requires p7zip-plugins, and this package end up creating a unowned directory /usr/libexec/p7zip/ .

I am not sure if that's correct to requires that, or the exact way it interact with p7zip. Despites being named -plugins, it seems to be a complete client.

Comment 1 Fedora End Of Life 2013-04-03 16:05:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Fedora End Of Life 2015-01-09 17:43:57 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Michael S. 2015-01-10 00:15:40 UTC
Still valid

Comment 4 Jan Kurik 2015-07-15 14:50:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Fedora Admin XMLRPC Client 2015-09-30 19:21:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2015-09-30 21:53:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Sergio Monteiro Basto 2015-11-05 17:29:22 UTC
(In reply to Michael Scherer from comment #0)
> For some reason, ark requires p7zip-plugins, and this package end up
> creating a unowned directory /usr/libexec/p7zip/ .
> 
> I am not sure if that's correct to requires that, or the exact way it
> interact with p7zip. Despites being named -plugins, it seems to be a
> complete client.

seems correct , you may just have plugins and not p7zip or vice-versa so, who owns %{_libexecdir}/p7zip/ is p7zip (one of them).

rpm -qf /usr/libexec/p7zip
p7zip-9.38.1-1.fc21.x86_64

What is the problem ?

Comment 8 Michael S. 2015-11-12 22:50:49 UTC
As I explained in the first message, installing p7zip-plugins will make the directory /usr/libexec/p7zip/ unowned, since this doesn't pull p7zip. And ark do requires only p7zip-plugins. 

That's a packaging guideline violation :

https://fedoraproject.org/wiki/Packaging:UnownedDirectories
https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

Comment 9 Sergio Monteiro Basto 2015-11-13 00:05:40 UTC
(In reply to Michael Scherer from comment #8)
> As I explained in the first message, installing p7zip-plugins will make the
> directory /usr/libexec/p7zip/ unowned, since this doesn't pull p7zip. And
> ark do requires only p7zip-plugins. 
> 
> That's a packaging guideline violation :
> 
> https://fedoraproject.org/wiki/Packaging:UnownedDirectories
> https://fedoraproject.org/wiki/Packaging:
> Guidelines#File_and_Directory_Ownership

ah ! Solution: Both the git and bzr packages should own the /etc/bash_completion.d directory as bash-completion is optional functionality and the installation of git or bzr should not force the installation of bash-completion.

Comment 10 Fedora Update System 2015-11-13 01:31:03 UTC
p7zip-15.09-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1944a3ca72

Comment 11 Fedora Update System 2015-11-13 01:32:11 UTC
p7zip-15.09-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c67ceea1b9

Comment 12 Fedora Update System 2015-11-13 01:32:34 UTC
p7zip-15.09-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9fef9a6c5f

Comment 13 Fedora Update System 2015-11-13 01:40:43 UTC
p7zip-15.09-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a1e22516b0

Comment 14 Fedora Update System 2015-11-13 20:50:32 UTC
p7zip-15.09-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update p7zip'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a1e22516b0

Comment 15 Fedora Update System 2015-11-14 03:19:59 UTC
p7zip-15.09-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update p7zip'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9fef9a6c5f

Comment 16 Fedora Update System 2015-11-14 03:22:05 UTC
p7zip-15.09-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update p7zip'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c67ceea1b9

Comment 17 Fedora Update System 2015-11-14 04:53:22 UTC
p7zip-15.09-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update p7zip'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1944a3ca72

Comment 18 Fedora Update System 2015-11-22 18:20:16 UTC
p7zip-15.09-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-11-23 00:23:17 UTC
p7zip-15.09-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-11-23 00:48:43 UTC
p7zip-15.09-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-12-06 21:35:19 UTC
p7zip-15.09-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f82c6fc04a

Comment 22 Fedora Update System 2015-12-08 07:22:03 UTC
p7zip-15.09-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update p7zip'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f82c6fc04a

Comment 23 Fedora Update System 2016-01-25 18:50:19 UTC
p7zip-15.09-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fca17abc84

Comment 24 Fedora Update System 2016-01-26 03:52:56 UTC
p7zip-15.09-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fca17abc84

Comment 25 Fedora Update System 2016-02-10 11:13:30 UTC
p7zip-15.09-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.